package com.hfkj.service.gas;

import com.hfkj.entity.BsGasOilPriceOfficial;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 油品国标价
 * @author hurui
 */
public interface BsGasOilPriceOfficialService {

    /**
     * 编辑价格
     * @param regionId
     * @param oilNo
     */
    void editPrice(Long regionId, Integer oilPriceZoneId, String oilNo, BigDecimal price);

    /**
     * 查询价格
     * @param regionId
     * @param oilNo
     * @return
     */
    BsGasOilPriceOfficial getPrice(Long regionId, Integer oilPriceZoneId, String oilNo);

    /**
     * 查询价格列表
     * @param param
     * @return
     */
    List<BsGasOilPriceOfficial> getPriceList(Map<String, Object> param);

    /**
     * 刷新获取最新的国标价
     */
    void refreshPriceOfficial();

    /**
     * 刷新油站的国标价【全部】
     * @param regionId 区域
     * @param oilNo    油品
     */
    void refreshGasPriceOfficial(Long regionId, Integer oilPriceZoneId, String oilNo);

}
